import java.applet.Applet;
import java.awt.BorderLayout;
import java.awt.Component;
import java.awt.Frame;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;
import java.util.Vector;

import quadbase.ChartAPI.QbChart;
import quadbase.util.IHintBoxInfo;
import quadbase.util.PickData;

public class ModifyHintBox extends Applet {

	static final long serialVersionUID = 1;

	public static void main(String[] args) {
		try {
			ModifyHintBox chart = new ModifyHintBox();
			Frame frame = new Frame();
			frame.setLayout(new BorderLayout());
			frame.add("Center", chart.doModifyHintBox(null));
			frame.addWindowListener(new WindowAdapter() {
				@Override
				public void windowClosing(WindowEvent e) {
					System.exit(0);
				}
			});
			frame.setSize(800, 600);
			frame.setVisible(true);

		} catch (Exception ex) {
			ex.printStackTrace();
		}
	}

	@Override
	public void init() {
		setLayout(new BorderLayout());
		add("Center", doModifyHintBox(this));
	}

	Component doModifyHintBox(Applet parent) {
		// Do not use EspressManager
		QbChart.setEspressManagerUsed(false);

		// Open the template
		QbChart chart = new QbChart(parent, // container 
				"ModifyHintBox.cht"); // template

		IHintBoxInfo hintBoxInfo = new Hint();
		chart.gethDataPoints().gethHint().setHintBoxInfo(hintBoxInfo);

		// Show chart in Viewer
		return chart;

	}

	class Hint implements IHintBoxInfo {

		public Vector getHint(PickData pickData) {

			Vector vec = new Vector();

			if (pickData.series != null) {
				vec.addElement("(" + pickData.seriesName + ") " + pickData.s_series);
			}

			if (pickData.category != null) {
				vec.addElement("(" + pickData.categoryName + ") " + pickData.s_category);
			}

			if (pickData.s_value != null) {
				vec.addElement("(" + pickData.valueName + ") " + pickData.s_value
						+ (pickData.value > 7 ? ":Good" : ":Restock"));
			}

			return vec;

		}
	}
}
